| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
Stat.cpp File Reference

Implementation file for class Stat. More...

`#include <sstream>`
`#include "GaudiKernel/IStatSvc.h"`
`#include "GaudiKernel/ICounterSvc.h"`
`#include "GaudiKernel/Stat.h"`
`#include "GaudiKernel/StatEntity.h"`
`#include "boost/format.hpp"`
Include dependency graph for Stat.cpp:

Go to the source code of this file.

## Functions
Stat | operator+ (const Stat &stat, const double value)
| external operator for addition of Stat and a number More...
Stat | operator- (const Stat &stat, const double value)
| external operator for subtraction of Stat and a number More...
Stat | operator+ (const double value, const Stat &stat)
| external operator for addition of Stat and a number More...
Stat | operator+ (const Stat &stat, const Stat &value)
| external operator for addition of Stat and Stat More...
std::ostream & | operator<< (std::ostream &stream, const Stat &stat)
| output operator for the counter object More...

## Detailed Description

Implementation file for class Stat.

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2005-08-02
  2007-07-08

Definition in file Stat.cpp.

## Function Documentation

Stat operator+ | ( | const Stat & | stat,
|  | const double | value
| ) |  |

external operator for addition of Stat and a number

Definition at line 163 of file Stat.cpp.

164 { Stat s( stat ) ; s += value ; return s ; }
Stat
Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface...
Definition: Stat.h:46
gaudirun.s
string s
Definition: gaudirun.py:245

Stat operator+ | ( | const double | value,
|  | const Stat & | stat
| ) |  |

external operator for addition of Stat and a number

Definition at line 173 of file Stat.cpp.

174 { Stat s( stat ) ; s += value ; return s ; }
Stat
Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface...
Definition: Stat.h:46
gaudirun.s
string s
Definition: gaudirun.py:245

Stat operator+ | ( | const Stat & | stat,
|  | const Stat & | value
| ) |  |

external operator for addition of Stat and Stat

Definition at line 177 of file Stat.cpp.

178 { Stat s( stat ) ; s += value ; return s ; }
Stat
Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface...
Definition: Stat.h:46
gaudirun.s
string s
Definition: gaudirun.py:245

Stat operator- | ( | const Stat & | stat,
|  | const double | value
| ) |  |

external operator for subtraction of Stat and a number

Definition at line 168 of file Stat.cpp.

169 { Stat s( stat ) ; s -= value ; return s ; }
Stat
Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface...
Definition: Stat.h:46
gaudirun.s
string s
Definition: gaudirun.py:245

std::ostream& operator<< | ( | std::ostream & | stream,
|  | const Stat & | stat
| ) |  |

output operator for the counter object

external printout operator to std::ostream

Definition at line 181 of file Stat.cpp.

182 { return stat.print( stream ) ; }
Stat::print
std::ostream & print(std::ostream &o=std::cout) const
printout to std::ostream
Definition: Stat.cpp:135